Bug 518412 - (CVE-2009-3369) CVE-2009-3369 BackupPC: Permission bypass via ClientNameAlias by using rsync data backup method
CVE-2009-3369 BackupPC: Permission bypass via ClientNameAlias by using rsync ...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://bugs.debian.org/cgi-bin/bugrep...
impact=low,source=debian,reported=200...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-08-20 05:54 EDT by Jan Lieskovsky
Modified: 2011-09-13 12:34 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-13 12:34:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2009-08-20 05:54:57 EDT
David Ambrose-Griffith from Durham University reported permission bypass
flaw in the way BackupPC server used to verify BackupPC client privileges
to perform PC backup / restore, when using rsync data backup method.
BackupPC client with certain configuration could use this flaw to retrieve security sensitive data (by backup) or, potentially to overwrite arbitrary system of backuped host (by restore), leading to privilege escalation.

References:
-----------
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=542218
Comment 3 Jan Lieskovsky 2009-09-25 04:27:24 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2009-3369 to
the following vulnerability:

CgiUserConfigEdit in BackupPC 3.1.0, when SSH keys and Rsync are in
use in a multi-user environment, does not restrict users from the
ClientNameAlias function, which allows remote authenticated users to
read and write sensitive files by modifying ClientNameAlias to match
another system, then initiating a backup or restore.

References:
-----------
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2009-3369
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=542218
http://secunia.com/advisories/36393
http://osvdb.org/57236
Comment 4 Jan Lieskovsky 2009-09-25 04:31:52 EDT
This issue affects the versions of BackupPC package, as shipped 
with Fedora releases of 10 and 11 and within EPEL-5 project.

Please fix.
Comment 5 Fedora Update System 2009-09-25 11:29:07 EDT
BackupPC-3.1.0-7.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/BackupPC-3.1.0-7.fc11
Comment 6 Fedora Update System 2009-09-25 11:29:13 EDT
BackupPC-3.1.0-6.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/BackupPC-3.1.0-6.fc10
Comment 7 Fedora Update System 2009-10-27 02:56:10 EDT
BackupPC-3.1.0-7.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2009-10-27 03:01:01 EDT
BackupPC-3.1.0-6.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.